declare type BaseRestApiResponse = {
    resultUrl: string;
};
export declare type RestApiResponse = QueuedResponse | InProgressResponse | CompleteResponse;
export declare type QueuedResponse = BaseRestApiResponse & {
    status: 'QUEUED';
};
export declare type InProgressResponse = BaseRestApiResponse & {
    status: 'IN_PROGRESS';
    imageUrls: Array<string>;
    progress: Progress;
};
export declare type CompleteResponse = BaseRestApiResponse & {
    status: 'COMPLETE';
    imageUrls: Array<string>;
};
export declare type Progress = {
    currentImageIndex: number;
    currentImageProgress: number;
    totalImages: number;
};
export declare type BaseOptions = {
    modelFilePath?: string;
    outputDirectoryPath?: string;
    seed?: number;
    stableDiffusionRepositoryDirectoryPath?: string;
};
export declare type TextToImageOptions = BaseOptions & {
    batchSize?: number;
    eta?: number;
    guidanceScale?: number;
    iterations?: number;
    steps?: number;
    channels?: number;
    downsamplingFactor?: number;
    height?: number;
    width?: number;
};
export declare type ImageToImageOptions = BaseOptions & {
    strength?: number;
    batchSize?: number;
    eta?: number;
    guidanceScale?: number;
    iterations?: number;
    steps?: number;
};
export declare type InpaintImageOptions = BaseOptions & {
    steps?: number;
};
export {};
//# sourceMappingURL=types.d.ts.map