import fs from 'fs-extra';
export async function addImageFileExtensionAsync(file) {
    const extension = computeImageFileExtension(file);
    if (extension === null) {
        throw new Error('Invalid image type');
    }
    const imageFilePath = `${file.path}.${extension}`;
    await fs.move(file.path, imageFilePath);
    return imageFilePath;
}
function computeImageFileExtension(file) {
    switch (file.mimetype) {
        case 'image/jpg':
            return 'jpg';
        case 'image/png':
            return 'png';
        default:
            return null;
    }
}
//# sourceMappingURL=add-image-file-extension-async.js.map